import { Service } from '~/core/service';
import { PagesService } from './pages';
import { SiteSettingsService } from './sitesettings';
declare class AdminService extends Service {
    constructor();
    pages: PagesService;
    siteSettings: SiteSettingsService;
    onStart: () => Promise<void>;
}
export declare const adminService: AdminService;
export {};
